Index: contrib/crossrpms/rtems4.9/arm/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/arm/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/arm/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/avr/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/avr/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/bfin/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/bfin/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/bfin/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/h8300/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/h8300/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/i386/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/i386/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/i386/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/m68k/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/m68k/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/mips/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mips/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/mips/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/powerpc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/powerpc/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/sh/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sh/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/sh/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/sparc/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/sparc/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
Index: contrib/crossrpms/rtems4.9/tic4x/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/tic4x/binutils-sources.add	(revision 137c410652d52e22672b2c6633c141945460c62f)
+++ contrib/crossrpms/rtems4.9/tic4x/binutils-sources.add	(revision 567fed38f6a0830579286ff157c46dec49e5a971)
@@ -1,8 +1,5 @@
 Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
 %{?_without_sources:NoSource:	0}
-%if "%{binutils_version}" == "2.17"
-Patch0:		binutils-2.17-rtems4.8-20061021.diff
+%if "%{binutils_version}" == "2.17.90"
+Patch0:		binutils-2.18-rtems4.9-20071104.diff
 %endif
-%if "%{binutils_version}" == "2.17.90"
-Patch0:		binutils-2.17.90-rtems4.8-20070807.diff
-%endif
